Bug 42654 - up2date server side code is not available
up2date server side code is not available
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-29 00:17 EDT by Seth Vidal
Modified: 2015-01-07 18:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-05 16:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seth Vidal 2001-05-29 00:17:50 EDT
The up2date server side code is not publically available. Therefore, users
of this service cannot completely trust the files being delivered to them.

As Red Hat's PR has been quick to point out, closed source products
should not be trusted in security-sensitive environments. Without access to
the up2date server side code a user cannot completely trust this updating
service. Signature checking on the client side helps, but it doesn't ensure
that red hat is not delivering subtely different packages than the ones
found on their normal ftp site to the up2date users. Afterall, they're the
same sigs. Users of up2date have to take it on faith that the packages
being sent to them are the same ones that the srpms on the ftp site
compile to.

Having the server side code does not guarantee that the server running at
red hat is sending the same packages but it allows the user the option of
running their own local up2date server w/packages they compile from either
the srpms that red hat provides (after the user checks these packages) or
packages of their own making. This would allow those people in
security-sensitive environments to make trusted use of red hat's up2date
product.
Comment 1 Adrian Likins 2001-07-05 18:43:41 EDT
Users can verify packages via gpg sigs ( if you know how to fake gpg
sigs, please file another bug report against gpg). 

They can also validate the packages via md5sums, file size, binary diffs,
by examining the contents of the packages, and the source rpms. 

The server code is currently not distributed in any form.

Reclassifying as a enhancement request.

Note You need to log in before you can comment on or make changes to this bug.